Bug 154728 - ALPS touchpad buttons stopped working
ALPS touchpad buttons stopped working
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 155172 155212 158768 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 16:49 EDT by Dave Mitchell
Modified: 2015-01-04 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Mitchell 2005-04-13 16:49:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
since the upgrade from 2.6.10-1.770_FC3 to 2.6.11, one pair of mouse buttons have stopped working. Or more precisely, they only work when the touchpad is also in use; ie dragging works, clicking doesn't (xev shows no events). The Dell lattitude D400 I'm using has two pairs of mouse buttons; the pair above the touchpad (and mechanically actually part of the keyboard) have stopped
working; the second pair, below the trackpad, are still fine.

/proc/bus/input/devices shows

I: Bus=0011 Vendor=0002 Product=0008 Version=0000
N: Name="AlpsPS/2 ALPS TouchPad"
P: Phys=isa0060/serio1/input0
H: Handlers=mouse0 event1
B: EV=f
B: KEY=420 30000 670000 0 0 0 0 0 0 0 0
B: REL=3
B: ABS=1000003



Version-Release number of selected component (if applicable):
2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. boot with 2.6.11 kernel
2.
3.
  

Additional info:

I don't know whether this email has any relevance:

http://lkml.org/lkml/2005/3/6/159
Comment 1 Adam Bowns 2005-04-13 18:09:33 EDT
This bug seems closely related to bug 153201. Just thought I'd let you know so
you can follow any activity from the same place.
Comment 2 Dave Jones 2005-04-17 22:35:36 EDT
*** Bug 155172 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2005-04-18 12:39:05 EDT
*** Bug 155212 has been marked as a duplicate of this bug. ***
Comment 4 Nicholas Andrade 2005-04-19 05:02:54 EDT
The patch mentioned in the Additional Comments solved the problem for my D610
after a slight modification (just line number changes).  Here is my version of
the patch which I haved applied successfully to both gentoo-sources-2.6.11-rc6
and 2.6.11-1.14_FC3:


--- linux-2.6.11/drivers/input/mouse/alps.c     2005-04-18 18:16:45.000000000 -0700
+++ linux-2.6.11/drivers/input/mouse/alps.c     2005-04-18 18:36:05.000000000 -0700
@@ -99,8 +99,8 @@

                input_report_rel(dev, REL_X, x);
                input_report_rel(dev, REL_Y, -y);
-               input_report_key(dev, BTN_A, left);
-               input_report_key(dev, BTN_B, right);
+               input_report_key(dev, BTN_LEFT, left);
+               input_report_key(dev, BTN_RIGHT, right);
                input_sync(dev);
                return;
        }
@@ -418,8 +418,6 @@
        psmouse->dev.evbit[LONG(EV_REL)] |= BIT(EV_REL);
        psmouse->dev.relbit[LONG(REL_X)] |= BIT(REL_X);
        psmouse->dev.relbit[LONG(REL_Y)] |= BIT(REL_Y);
-       psmouse->dev.keybit[LONG(BTN_A)] |= BIT(BTN_A);
-       psmouse->dev.keybit[LONG(BTN_B)] |= BIT(BTN_B);

        psmouse->dev.evbit[LONG(EV_ABS)] |= BIT(EV_ABS);
        input_set_abs_params(&psmouse->dev, ABS_X, 0, 1023, 0, 0);


The patch has an odd side effect, I now get a low feedback from my speakers (a
known bug on the Dell D610 which previously only effected the headphone output,
not speakers).  If someone finds a better solution, please post.
Comment 5 Nicholas Andrade 2005-04-19 05:44:57 EDT
My previous post was incorrect.  The patch does apply successfully in both
Gentoo and Fedora, however the patch only corrects the problem in Gentoo.  The
kernel compiles under Fedora without any problems however it doesn't seem to
change anything.  I will double check my configs to see if I have something
different in the input section, but it's odd that this patch works in on distro
and not the other.
Comment 6 Dave Jones 2005-05-26 20:18:30 EDT
*** Bug 158768 has been marked as a duplicate of this bug. ***
Comment 7 Dave Jones 2005-07-15 14:56:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Luicil Fernandes 2005-07-17 11:57:37 EDT
Good ! 

Almost perfect. Everything but drag and drop is working now !

The only issue with this new kernel is that the tap to drag'n'drop is not 
working.

Thanks !

(In reply to comment #7)
> An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) 
which
> may contain a fix for your problem.   Please update to this new kernel, and
> report whether or not it fixes your problem.
> If you have updated to Fedora Core 4 since this bug was opened, and the 
problem
> still occurs with the latest updates for that release, please change the 
version
> field of this bug to 'fc4'.
> Thank you.

Comment 9 Luicil Fernandes 2005-07-17 11:58:41 EDT
Good ! 

Almost perfect. Everything but drag and drop is working now !

The only issue with this new kernel is that the tap to drag'n'drop is not 
working.

Thanks !

(In reply to comment #7)
> An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) 
which
> may contain a fix for your problem.   Please update to this new kernel, and
> report whether or not it fixes your problem.
> If you have updated to Fedora Core 4 since this bug was opened, and the 
problem
> still occurs with the latest updates for that release, please change the 
version
> field of this bug to 'fc4'.
> Thank you.

Comment 10 Dave Jones 2005-10-02 21:08:41 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.